using System;
using System.Collections.Generic;
using Microsoft.Practices.CompositeUI;
using Microsoft.Practices.CompositeUI.WinForms;
using Infragistics.Practices.CompositeUI.WinForms;

namespace CabMediaPlayer
{
    public class ShellLauncher : IGFormShellApplication<WorkItem, MainFrm2>
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            new ShellLauncher().Run();
        }

        private CabMediaPlayer.SplashFrm _splash;

        protected override void BeforeShellCreated()
        {
            base.BeforeShellCreated();
            _splash = new SplashFrm();
            _splash.Show();
            _splash.Refresh();
            System.Threading.Thread.Sleep(3000);
        }

        protected override void AfterShellCreated()
        {
            base.AfterShellCreated();

            //register the site (aka: location with CAB) that contains the UltraToolbarsManager. 
            this.RootWorkItem.UIExtensionSites.RegisterSite("Main", Shell.ultraToolbarsManager1.Toolbars["Main"]);
            
            //kill the splash screen
            _splash.Dispose();
            _splash = null;
        }
    }
}