using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using MediaPlayerCommon;
using Microsoft.Practices.CompositeUI.EventBroker;
using Microsoft.Practices.CompositeUI.SmartParts;


namespace MediaContentAddIn
{
    [SmartPart]
    public partial class MediaWebView : UserControl, ICanClose, ISmartPartInfoProvider
    {
        public MediaWebView()
        {
            InitializeComponent();
        }

        [EventSubscription("event://CurrentMediaItemChanged")]
        public void CurrentMediaItemChanged(object Sender, MediaEventArgs e)
        {      
            this.wwwMain.Navigate(@"http://www.google.com/search?hl=en&q=" + e.MediaFile.FileInfo.Name.Replace(' ', '+'));
        }

        public ISmartPartInfo GetSmartPartInfo(Type smartPartInfoType)
        {
            // Implement ISmartPartInfoProvider in the containing smart part. Required in order for contained smart part infos to work.
            Microsoft.Practices.CompositeUI.SmartParts.ISmartPartInfoProvider ensureProvider = this;
            return this.infoProvider.GetSmartPartInfo(smartPartInfoType);

        }


        #region ICanClose Members

        bool ICanClose.CanClose
        {
            get
            {
                if (MessageBox.Show("Want to close the view?", "Confirm", MessageBoxButtons.OKCancel, MessageBoxIcon.Asterisk) == DialogResult.Cancel) return true;
                return false;                
            }
        }

        #endregion
    }


}
