using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.Practices.CompositeUI;
using Microsoft.Practices.CompositeUI.Services;
using System.Windows.Forms;

using Infragistics.Win.UltraWinToolbars; // since we will create toolbars through code

namespace WindowsMediaPlayerAddIn
{
    public class WindowsMediaPlayerAddInInit : ModuleInit
    {
        /// <summary>
        /// This property will be automatically assigned by CAB. 
        /// This is our reference to the Work Item.
        /// </summary>
        private WorkItem _workItem = null;
        [ServiceDependency]
        public WorkItem ParentWorkItem
        {
            set { _workItem = value; }
        }

        /// <summary>
        /// This method is automatically called by CAB; here is where we
        /// initialize this plugin; in this case, i am adding the Media Player
        /// COM component to the main Shell.
        /// </summary>
        public override void Load()
        {
            base.Load();

            WindowsMediaPlayerWorkItem w = _workItem.Items.AddNew<WindowsMediaPlayerWorkItem>();

            w.Run();

            w.Activate();
        }
    }
}
