using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.Practices.CompositeUI;
using Microsoft.Practices.CompositeUI.SmartParts;

using Infragistics.Practices.CompositeUI.WinForms.UIElements;
using Infragistics.Practices.CompositeUI.WinForms;
using Infragistics.Win.UltraWinToolbars;

namespace WindowsMediaPlayerAddIn
{
    public class WindowsMediaPlayerWorkItem : WorkItem
    {
        private ButtonTool _cmdPlay;
        private ButtonTool _cmdStop;
        private ButtonTool _cmdPause;

        protected override void OnRunStarted()
        {
            base.OnRunStarted();

            WindowsMediaPlayerView v = this.SmartParts.AddNew<WindowsMediaPlayerView>();

            this.initUiElements();

            string ws = WindowsMediaPlayerAddIn.WindowsMediaPlayerSettings.Default.WinowsMediaPlayerViewWorkspace;

            this.Workspaces[ws].Show(v);
        }

        protected override void OnActivated()
        {
            base.OnActivated();
        }

        protected override void OnDeactivated()
        {
            base.OnDeactivated();
        }

        /// <summary>
        /// this method will init the UI ELements in the main shell, whatever they may be
        /// </summary>
        private void initUiElements()
        {
            if (_cmdPlay == null)
            {
                _cmdPlay = new ButtonTool("Play");
               
                _cmdPlay.SharedProps.Caption = "Play";

                _cmdPlay = this.UIExtensionSites["Main"].Add(_cmdPlay);

                this.Commands["Play"].AddInvoker(_cmdPlay, "ToolClick");
            }
            if (_cmdStop == null)
            {
                _cmdStop = new ButtonTool("Stop");

                _cmdStop.SharedProps.Caption = "Stop";

                _cmdStop = this.UIExtensionSites["Main"].Add(_cmdStop);

                this.Commands["Stop"].AddInvoker(_cmdStop, "ToolClick");
            }
            if (_cmdPause == null)
            {
                _cmdPause = new ButtonTool("Pause");

                _cmdPause.SharedProps.Caption = "Pause";

                _cmdPause = this.UIExtensionSites["Main"].Add(_cmdPause);

                this.Commands["Pause"].AddInvoker(_cmdPause, "ToolClick");
            }
        }

    }
}
